<?php
require'fun.php';
require'f_conectare.php';
conectare('joaca ghiceste numarul','joaca-ghiceste-numarul');
$titlu='Ghiceste numarul';
$back[1]='<a href="/jocuri">'.img('jocuri.gif',1).'Jocuri</a>';
require'f_sus.php';
if(isset($_POST['un']))
$un=$_POST['un'];
else
$un='';
if(!isset($_SESSION['gvar1']))
{
$tries=8;
$_SESSION['gvar1']=$tries;
mt_srand((double)$_SERVER['REQUEST_TIME']*1000000);
$rn=mt_rand(1,100);
$_SESSION['gvar2']=$rn;
}
else
{
$tries=$_SESSION['gvar1']-1;
$_SESSION['gvar1']=$tries;
$rn=$_SESSION['gvar2'];
}
if($tries>0)
{
echo$div[10].'Încearcă să ghicești numărul din cât mai puține încercări!<br />Numărul este între <strong>1</strong> și <strong>100</strong><br />';
$tries=$tries-1;
$gpl=$tries*3;
echo'Incercari: '.$tries.', puncte: '.$gpl.$div[0];
if($un==$rn)
{
$gpl=$gpl+3;
$conn->query('UPDATE`membrii`SET`puncte_joc`=puncte_joc+'.$gpl.' WHERE`id`="'.$de.'"');
echo$div[6].'Felicitari!<br />Numarul era <strong>'.$rn.'</strong>, și ai primit <strong>'.$gpl.'</strong> puncte!'.$div[0].$div[1].'<a href="/joaca-ghiceste-numarul">Joc nou</a>'.$div[0];
unset($_SESSION['gvar1']);
unset($_SESSION['gvar2']);
}
else
{
echo$div[7];
if($un<$rn)
echo'Incearca un număr mai mare decat '.$un.'!';
else
echo'Incearca un număr mai mic decat '.$un.'!';
echo$div[0];
$form[0]='/joaca-ghiceste-numarul" method="post';
$form[1]=1;
$form[2]=$div[1].'Scrie un numar:<br /><input name="un" value="'.$un.'" />'.$div[0];
$form[3]='un';
$form[4]='Incearca';
require'f_form.php';
}
}
else
echo$div[1].'SFARSIT!<br /><a href="/joaca-ghiceste-numarul">Joc nou</a>'.$div[0];
require'f_jos.php';